Subject: RE:[Autoconf] Autoconf implementations ?

From: "Kazuki AKIMA" <[email-masked]>
Date: Thu, 29 Nov 2007 18:39:07 +0900

Hello Thomas,

Thank you for comment.

Our NOA-OLSR imprementation haven't be enchecked on kernel "2.6.x", and it
can't work on kernel "2.6.x.", sorry.
But we are sure that our implimentation works on kernel " 2.4.x".

We are continuing the project about OLSRv2 and autoconfiguration
implementation.
Our OLSRv2 implementation (called "nOLSRv2") is available.
nOLSRv2 runs as Linux routing daemon if you just compile it on a Linux
platform.
nOLSRv2 is also able to run on QualNet Internet Simulator, if you compile it
with QualNet source code.
Please see this URI.
http://www.net.ie.niigata-u.ac.jp/~yowada/v2/
<http://www.net.ie.niigata-u.ac.jp/%7Eyowada/v2/>

Additionaly, We impremented a new Passive DAD algorithms (not yet published)
for nOLSRv2. This new DAD implementation works on linux (kernel "2.4.x"),
but it isn't released yet, sorry. (I think that some bugs and problems are
exist yet...)

Your sincerely
Kazuki Akima

P.S. Some kernel modules and softwares (ex. "ipqueue", "iptable_filter" and
"iptables") are reqired by our NOA-OLSR imprementation. All of them are
installed in your linux? Please check them!

---
Kazuki AKIMA <[email-masked]>
Information and Communication Network Lab.
Graduate School of Science and Technology, Niigata University

Hahusseau, Thomas wrote:
> Hello,
>
> This is my first email on that list. I would like to know if there is some
implementation of autoconfiguration protocols for standalone MANETs under
development ? the only ones I found were a couple years old :
>
> - Pacman feb 2005
>
> - Manet:Prophet may 2004
>
> - NOA-OLSR jul 2005
>
> The only one which seems to be still supported is AHCPd : nov 2007
>
> Most of them doesn't work on recent kernel ( 2.6.x), because they use
ipqueue which seems to be deprecated on 2.6.x kernels. Does anyone know
where I could find recent implementation of autoconfiguration protocols for
MANETs ? All projects about autoconfiguration implementations seems to be
dead (except AHCP) or what ? It's hard to believe that nobody works on it,
because there few mails on that list about comments on draft and the WG
doesn't look to be dead.
>
> Your sincerely
>
> Thomas Hahusseau
>
>
> _______________________________________________
> Autoconf mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/autoconf
_______________________________________________
Autoconf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/autoconf